# Hello Ghostty Testers! 👋👻

Thank you for being an early Ghostty user! I'm super excited to have you
here. **Please, please read the [README](https://github.com/ghostty-org/ghostty#readme)!**
There is a lot of information in the README that I will not be repeating here,
especially about how to get Ghostty and configure it.

## Let's Build An Excellent Terminal

The Ghostty development process so far has been a cycle of inviting people,
getting Ghostty to work great for them, then inviting new people once it
feels stable.

So, if you're part of a new group, _expect there will be bugs_!
Ghostty may work really great for previous testers, but every new group of
users has their own OS quirks, programs, expected features, etc. that tend
to surface new issues. **That's why you're here and I appreciate you so much!**

**I will not invite new groups of testers until Ghostty is _very stable and
excellent_ for the previous group of testers.** So let's work together on getting
Ghostty to a place that works well for you.

## Talking About Ghostty Publicly

Feel free to talk about Ghostty, share screenshots, etc. in the public!
Please don't share source access yet. And obviously, if Ghostty is buggy
or you want to say something mean, I'd rather you talk to me first so
I can try to fix it, this is an early beta after all... I hope no testers
I invite would be mean, though!

## Reporting Issues and Contributing

Please report any issues you have, including feature requests! Because we're
in a closed beta period, there aren't really many rules -- just open 'em up
and we'll have a discussion.

That said, **feel free to contribute!** I would _love_ that. If you want
any help, ask in Discord and I'll do my best to point you in the right direction
or even pair (time permitting) if you're interested.

### Bug Priority

This is the priority of bugs:

1. Crashes. 💥 These are just unacceptable and I'll drop everything to
   fix a crash.

2. Escape sequence logic or rendering issues. These are almost as bad as
   crashes because they usually make your workflow unusable. This includes
   unsupported escape sequences that impact your workflow.

3. Anything else...

## Let's Talk!

You likely landed in the Discord community first, if for some reason you're not
in there, join [here](https://discord.gg/ghostty). Discord is a great place to
share feedback, discuss issues, ask questions and talk to other testers.

## Other FAQ

### Can I Invite a Friend?

Yes, if you have any friends you'd like to add to the beta, you can use
the `/vouch` command in the Ghostty Discord server and mods will be notified
of your vouch request.

If the username of your friend doesn't show up for the `/vouch` command,
it means they either haven't joined the Discord yet or they haven't accepted
the server rules. Please ask them to join the Discord and accept the rules
and then try again.

Vouches are handled on a as-available basis, so please be patient. They're
usually processed quickly, but sometimes it may take a day or two. In very
rare cases, we pause vouches to ensure the stability of the beta. But that's
very rare and has only happened a handful of times.

Anyone you vouch is your responsibility, so please make sure they're a good
fit for the beta and will follow the rules. There is no limit on the number
of people you can vouch in total, but we do rate limit the number of vouches
you can do. If any mods feel you're vouching for too many people, they may
reject your requests.

### I want to help, what can I work on?

I'd really love that, I want to foster a healthy contributing community
with Ghostty over time, and I really appreciate the help.

Take a look at the issues list. Feel free to suggest new things. If you
have a favorite feature from some other terminal emulator, let's build it!
My only ask is that for big features, please ask the Discord first to gauge
interest/acceptance for it before opening up some huge PR.

There are also non-core help we can use: docs, website work, Discord bots,
etc. etc. For example, a web UI to generate a configuration file would be
cool. Or a web UI to preview your color settings.

### Is Ghostty Open Source?

Right now technically not (no license file). But yes, it will be full
open source (by the OSI definition). I'm not sure what license to choose
yet, leaning towards going with MIT for this project but open to ideas.

We will add a license prior to opening up the repository. During the private
beta period, I'll continue with a no license project.
